Disabling Candlepin in Systems Controller Test prevents testing updates to content hosts

08/06/2014 05:38 PM - Christine Fouant

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Tests   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

By disabling the glue layers of candlepin in the systems controller test, testing any updates would require a workaround including

unnecessary logic in the controller itself.  You also cannot test for certain candlepin attribute updates, such as facts.

The test and error follow:

def test_update_facts

put :update, :id => @system.uuid, :facts => {"new" => "fact"}

assert_response :success

end

status=500, {"displayMessage"=>"Can't mass-assign protected attributes: facts", "errors"=>["Can't mass-assign protected attributes:

facts"]}

History

#1 - 08/07/2014 10:42 AM - Eric Helms

- Category set to Tests

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 12/21/2015 11:47 AM - Eric Helms

- translation missing: en.field_release set to 114

#3 - 08/28/2019 07:21 PM - John Mitsch

- Status changed from New to Closed

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.

#4 - 08/28/2019 08:37 PM - Justin Sherrill

- Target version deleted (Katello Backlog)

#5 - 08/28/2019 08:45 PM - Justin Sherrill

- Status changed from Closed to Rejected
